output "git_fqdn" {
  description = "FQDN for the GitLab instance"
  value       = "${scaleway_domain_record.git.name}.${scaleway_domain_record.git.dns_zone}"
}

output "grafana_fqdn" {
  description = "FQDN for the Grafana instance"
  value       = "${scaleway_domain_record.grafana.name}.${scaleway_domain_record.grafana.dns_zone}"
}

output "api_fqdn" {
  description = "FQDN for the API Gateway (gRPC)"
  value       = "${scaleway_domain_record.api.name}.${scaleway_domain_record.api.dns_zone}"
}

output "chat_fqdn" {
  description = "FQDN for the Mattermost chat"
  value       = "${scaleway_domain_record.chat.name}.${scaleway_domain_record.chat.dns_zone}"
}

output "mail_fqdn" {
  description = "FQDN for the Stalwart mail server"
  value       = "${scaleway_domain_record.mail.name}.${scaleway_domain_record.mail.dns_zone}"
}
